opencv: cv::VectorDescriptorMatcher Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes

# cv::VectorDescriptorMatcher Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::VectorDescriptorMatcher:

List of all members.

## Public Member Functions
virtual void | add (const vector< Mat > &imgCollection, vector< vector< KeyPoint > > &pointCollection)
virtual void | clear ()
virtual Ptr < GenericDescriptorMatcher > | clone (bool emptyTrainData=false) const
virtual bool | isMaskSupported ()
virtual void | read (const FileNode &fn)
virtual void | train ()
| VectorDescriptorMatcher (const Ptr< DescriptorExtractor > &extractor, const Ptr< DescriptorMatcher > &matcher)
virtual void | write (FileStorage &fs) const
virtual | ~VectorDescriptorMatcher ()
## Protected Member Functions
virtual void | knnMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)
virtual void | radiusMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)
## Protected Attributes
Ptr< DescriptorExtractor > | extractor
Ptr< DescriptorMatcher > | matcher

## Constructor & Destructor Documentation

cv::VectorDescriptorMatcher::VectorDescriptorMatcher | ( | const Ptr< DescriptorExtractor > & | extractor,
|  | const Ptr< DescriptorMatcher > & | matcher
| ) |  |

virtual cv::VectorDescriptorMatcher::~VectorDescriptorMatcher | ( | ) | `[virtual]`

## Member Function Documentation

virtual void cv::VectorDescriptorMatcher::add | ( | const vector< Mat > & | imgCollection,
|  | vector< vector< KeyPoint > > & | pointCollection
| ) |  | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::VectorDescriptorMatcher::clear | ( | ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual Ptr<GenericDescriptorMatcher> cv::VectorDescriptorMatcher::clone | ( | bool | emptyTrainData = `false` ) | const`[virtual]`

Implements cv::GenericDescriptorMatcher.

virtual bool cv::VectorDescriptorMatcher::isMaskSupported | ( | ) | `[virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::VectorDescriptorMatcher::knnMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::VectorDescriptorMatcher::radiusMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::VectorDescriptorMatcher::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::VectorDescriptorMatcher::train | ( | ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::VectorDescriptorMatcher::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

## Member Data Documentation

Ptr<DescriptorExtractor> cv::VectorDescriptorMatcher::extractor`[protected]`

Ptr<DescriptorMatcher> cv::VectorDescriptorMatcher::matcher`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines